Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.referencing.operation
Interface Conversion

All Superinterfaces:
  CoordinateOperation, IdentifiedObject, Operation, SingleOperation

All Known Subinterfaces:
  ConicProjection, CylindricalProjection, PlanarProjection, Projection

    @UML(identifier="CC_Conversion",
         specification=ISO_19111)
    public interface Conversion

extends Operation

An operation on coordinates that does not include any change of Datum. The best-known example of a coordinate conversion is a map projection. The parameters describing coordinate conversions are defined rather than empirically derived. Note that some conversions have no parameters.

Since:
  GeoAPI 1.0
Version:
  Abstract specification 2.0
See Also:
  `Transformation`

Field Summary

Fields inherited from interface CoordinateOperation
`COORDINATE_OPERATION_ACCURACY_KEY, DOMAIN_OF_VALIDITY_KEY, OPERATION_VERSION_KEY, POSITIONAL_ACCURACY_KEY, SCOPE_KEY, VALID_AREA_KEY`

Fields inherited from interface IdentifiedObject
`ALIAS_KEY, IDENTIFIERS_KEY, NAME_KEY, REMARKS_KEY`

Method Summary
`String` | `getOperationVersion()` This attribute is declared in `CoordinateOperation` but is not used in a conversion.
`CoordinateReferenceSystem` | `getSourceCRS()` Returns the source CRS.
`CoordinateReferenceSystem` | `getTargetCRS()` Returns the target CRS.

Methods inherited from interface Operation
`getMethod, getParameterValues`

Methods inherited from interface CoordinateOperation
`getCoordinateOperationAccuracy, getDomainOfValidity, getMathTransform, getPositionalAccuracy, getScope, getValidArea`

Methods inherited from interface IdentifiedObject
`getAlias, getIdentifiers, getName, getRemarks, toWKT`

Method Detail

### getSourceCRS

    @UML(identifier="sourceCRS",
         obligation=OPTIONAL,
         specification=ISO_19111)
    CoordinateReferenceSystem getSourceCRS()

  Returns the source CRS. Conversions may have a source CRS that is not specified here, but through `GeneralDerivedCRS.getBaseCRS()` instead.

  Specified by:
    `getSourceCRS` in interface `CoordinateOperation`
  Returns:
    The source CRS, or `null` if not available.

### getTargetCRS

    @UML(identifier="targetCRS",
         obligation=OPTIONAL,
         specification=ISO_19111)
    CoordinateReferenceSystem getTargetCRS()

  Returns the target CRS. Conversions may have a target CRS that is not specified here, but through `GeneralDerivedCRS` instead.

  Specified by:
    `getTargetCRS` in interface `CoordinateOperation`
  Returns:
    The target CRS, or `null` if not available.

### getOperationVersion

    @UML(identifier="operationVersion",
         obligation=CONDITIONAL,
         specification=ISO_19111)
    String getOperationVersion()

  This attribute is declared in `CoordinateOperation` but is not used in a conversion.

  Specified by:
    `getOperationVersion` in interface `CoordinateOperation`
  Returns:
    Always `null`.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.